<?php
/*
 * Plugin: IndexSearch
 * Author: 5n0w833
 * Website: http://www.smadder.be	
 *
 * v1.0 - 5n0w833@hotmail.be - 11/04/2012 - Puts a Search Box on top of the Index Page.
 * v2.0 - 5n0w833@hotmail.be - 13/04/2012 - Implemented the Settings.
 */

if(!defined("IN_MYBB"))
{
	die("<center><h1>Not defined!</h1><br/><a href='http://www.smadder.be'>5n0w833@hotmail.be</a></center>");
}

$plugins->add_hook("global_start", "IndexSearch_go");

function IndexSearch_info()
{
	return array(
		"name"			=> "Search Box on top of the Index Page",
		"description"		=> "Put a Search Box on top of the Index page.",
		"website"		=> "http://www.smadder.be",
		"author"		=> "5n0w833",
		"authorsite"		=> "http://www.smadder.be",
		"version"		=> "2.0",
		"guid" 			=> "c4253349eecb8ada04465e7dcb8d1e3a",		
		"compatibility" 	=> "16*"
	);	
};

function IndexSearch_install()
{
	global $db, $mybb;

	$my_setting_group = array(
		'gid'			=> 'NULL',
		'name' 			=> '5n0w833_Setting_Group_IndexSearch',
		'title'			=> 'Put a Search Box on top of the Index Page.',
		'description'		=> 'Here you can enter the Forum IDs which are accessible.',
		'disporder'		=> 3,
		'isdefault'		=> 0
	);
	
	$db->insert_query("settinggroups",$my_setting_group);
	$gid = $db->insert_id();
	
	$my_title = array(
		'sid' 			=> 'NULL',
		'name'			=> '5n0w833_Title_IndexSearch',
		'title'			=> 'Search Title description',
		'description'		=> 'Edit your Search Title',
		'optionscode' 		=> 'text',
		'value'			=> 'Zoek hier uw ondertitels',
		'disporder'		=> 1,
		'gid'			=> intval($gid)
	);

	$db->insert_query("settings",$my_title);
	
	$my_input = array(
		'sid' 			=> 'NULL',
		'name'			=> '5n0w833_Input_IndexSearch',
		'title'			=> 'Input Textbox description',
		'description'		=> 'Edit your message in the Input Textbox',
		'optionscode' 		=> 'text',
		'value'			=> 'Type hier de naam van de Film of de Serie...',
		'disporder'		=> 2,
		'gid'			=> intval($gid)
	);
	
	$db->insert_query("settings", $my_input);
	
	$my_forum_ids = array(
		'sid'			=> 'NULL',
		'name'			=> '5n0w833_Forum_IDS_IndexSearch',
		'title'			=> 'The Forum IDs where people can Search',
		'description'		=> 'Enter here all Forum IDs which are accessible (separated by a comma) - [0=all]',
		'optionscode'		=> 'text',
		'value'			=> '0',
		'disporder'		=> 3,
		'gid'			=> intval($gid)
	);
	
	$db->insert_query("settings", $my_forum_ids);
	
	$db->write_query("ALTER TABLE ".TABLE_PREFIX."users ADD 5n0w833_IndexSearch int NOT NULL default 0");
	
	rebuild_settings();
}


function IndexSearch_uninstall()
{
	global $db;

	if($db->field_exists('5n0w833_IndexSearch', "users")) $db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP 5n0w833_IndexSearch");

	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='5n0w833_Setting_Group_IndexSearch'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='5n0w833_Title_IndexSearch'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='5n0w833_Input_IndexSearch'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='5n0w833_Forum_IDS_IndexSearch'");

	rebuild_settings();
}

function IndexSearch_is_installed()
{
	global $db;

	$result = ($db->field_exists('5n0w833_IndexSearch', "users")) ? TRUE : FALSE;

	return $result;
}

function IndexSearch_activate()
{
	include MYBB_ROOT."/inc/adminfunctions_templates.php";

	find_replace_templatesets("header", "#".preg_quote("<navigation>")."#i", "{\$msg}<navigation>");
};

function IndexSearch_deactivate()
{
	include MYBB_ROOT."/inc/adminfunctions_templates.php";

	find_replace_templatesets("header", "#".preg_quote("{\$msg}")."#i", "", 0);
};

function IndexSearch_go()
{
	global $msg,$mybb;

	$forums=explode(',',$mybb->settings['5n0w833_Forum_IDS_IndexSearch']);
	$myforums="";	
	
	for ($cnt=0;$cnt<count($forums);$cnt++)
	{
		$thisforumitem = $forums[$cnt];
		$myforums .= "<input type=\"hidden\" name=\"forums[]\" value={$thisforumitem}>";
	}
	
	$msg = "<table border=\"0\" cellspacing=\"1\" cellpadding=\"4\" class=\"tborder\"><thead><tr><td class=\"thead\" align=\"center\"><div class=\"expcolimage\"><img src=\"images/collapse.gif\" id=\"5n0w8331\" class=\"expander\" alt=\"[-]\" title=\"[-]\" /></div><div><strong>".$mybb->settings['5n0w833_Title_IndexSearch']."</strong></div></td></tr></thead><tbody id=\"5n0w8332\"><tr><td class=\"trow1\">";
	$msg.= "<center><form action=\"search.php\" method=\"post\" value=\"Search\"><table><tr><td><input type=\"text\" class=\"textbox\" size=\"50\" style=\"font-size:16px\" name=\"keywords\" onfocus=\"this.value = '';\" value=\"".$mybb->settings['5n0w833_Input_IndexSearch']."\" /></td><td valign=\"middle\"><input type=\"image\" width=\"29px\" height=\"24px\" style=\"margin:0px;padding:0px\" src=\"images/submit.gif\" border=\"0\"></td></tr></table><input type=\"hidden\" name=\"action\" value=\"do_search\" /><input type=\"hidden\" name=\"postthread\" value=\"1\"/>".$myforums."</center></form></td></tr></tbody></table><br/>";	
	
	return $msg;
};

?>